extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Popover Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Popover Svelte Component
      script(src="/js/motion/popover.js")
      f7-motion-popover(motion)

    p Popover component is used to manage the presentation of content in a popover. You use popovers to present information temporarily. The popover remains visible until the user taps outside of the popover window or you explicitly dismiss it.
    p Popover Svelte component represents <a href="../docs/popover.html">Popover</a> component.
    h2 Popover Components
    p There are following components included:
    ul
      li `Popover`
    h2 Popover Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Popover&gt; properties
        tr
          td opened
          td boolean
          td false
          td Allows to open/close Popover and set its initial state
        tr
          td arrow
          td boolean
          td true
          td Enables Popover arrow/corner
        tr
          td targetEl
          td string<br>object
          td
          td HTML element or string CSS selector of Popover target element
        tr
          td verticalPosition
          td string
          td auto
          td Force popover vertical position, can be `auto`, `top` or `bottom`
        tr
          td backdrop
          td boolean
          td true
          td Enables Popover backdrop (dark semi transparent layer behind). By default inherits same app parameter value (`true`)
        tr
          td backdropEl
          td string<br>object
          td
          td HTML element or string CSS selector of custom backdrop element
        tr
          td backdropUnique
          td boolean
          td false
          td If enabled it creates unique backdrop element exclusively for this modal
        tr
          td closeByBackdropClick
          td boolean
          td true
          td When enabled, popover will be closed on backdrop click. By default inherits same app parameter value
        tr
          td closeByOutsideClick
          td boolean
          td true
          td When enabled, popover will be closed on when click outside of it. By default inherits same app parameter value
        tr
          td closeOnEscape
          td boolean
          td false
          td When enabled, popover will be closed on ESC keyboard key press
        tr
          td animate
          td boolean
          td true
          td Whether the modal should be opened/closed with animation or not
        tr
          td containerEl
          td HTMLElement<br>string
          td
          td Element to mount modal to (default to app root element)

    h2 Popover Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Popover&gt; events
        tr
          td popoverOpen
          td Event will be triggered when Popover starts its opening animation
        tr
          td popoverOpened
          td Event will be triggered after Popover completes its opening animation
        tr
          td popoverClose
          td Event will be triggered when Popover starts its closing animation
        tr
          td popoverClosed
          td Event will be triggered after Popover completes its closing animation
    h2 Open And Close Popover
    p You can control Popover state, open and closing it:
    ul
      li using <a href="../docs/popover.html">Popover API</a>
      li by passing `true` or `false` to its `opened` prop
      li by clicking on <a href="link.html">Link</a> or <a href="button.html">Button</a> with relevant `popoverOpen` property (to open it) and `popoverClose` property to close it
    h2 Access To Popover Instance
    p You can access Popover initialized instance by calling `.instance()` component's method. For example:
    ```svelte
      <Popover bind:this={component}>...</Popover>

      <script>
        let component;

        // to get instance in some method
        component.instance()
      </script>
    ```


    h2 Examples
    +examplePreview('svelte', 'popover.svelte', 'popover')
